Name:           xdemorse
Version:        2.7
Release:        4%{?dist}
Summary:        GTK based application for decoding and displaying Morse code signals

Group:          Applications/Communications
License:        GPLv2+
URL:            http://www.qsl.net/5b4az/pkg/morse/xdemorse/xdemorse.html
Source0:        http://www.qsl.net/5/5b4az//pkg/morse/%{name}/%{name}-%{version}.tar.bz2
#Wrapper script for user config
Source3:        xdemorse.sh.in

BuildRequires:  autoconf, automake, gtk2-devel, desktop-file-utils, alsa-lib-devel
BuildRequires:  intltool
#Requires:       

%description
xdemorse is a GTK+ graphical version of demorse, using the same
decoding engine as demorse.

It has an FFT-derived "waterfall" display of the incoming audio signal's
spectrum, as well as a 'scope-like display of the audio detector's output
and status of the mark/space discriminator ("slicer"). xdemorse also has
CAT for the FT-847 and this can be used to net the receiver's frequency
to the incoming signal, by clicking near its trace in the waterfall display.

%prep
%setup -q

%build

# this makes configure pick up RPM_OPT_FLAGS which allows -g to create a valid
# debuginfo subpackage
./autogen.sh

%configure
make %{?_smp_mflags}


%install
mkdir -p $RPM_BUILD_ROOT/usr/share/applications/
mkdir -p $RPM_BUILD_ROOT/usr/share/pixmaps/
mkdir -p $RPM_BUILD_ROOT/usr/share/doc/xdemorse/examples/
make install DESTDIR=$RPM_BUILD_ROOT

#install default user configuration file
#install -p -D -m 0644 $RPM_BUILD_DIR/%{name}/default/.xdemorserc $RPM_BUILD_ROOT%{_datadir}/%{name}/xdemorserc

#move original binary to libexecdir
mkdir -p $RPM_BUILD_ROOT%{_libexecdir}/
mv $RPM_BUILD_ROOT%{_bindir}/%{name} $RPM_BUILD_ROOT%{_libexecdir}/%{name}-bin

#install wrapper script 
install -p -D -m 0755 %{SOURCE3} $RPM_BUILD_ROOT%{_bindir}/xdemorse

%files
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog README doc/Morsecode.txt doc/xdemorse.html
%{_bindir}/*
%{_libexecdir}/*
#%{_datadir}/%{name}
%{_datadir}/pixmaps/%{name}.xpm
%{_datadir}/applications/%{name}.desktop

%changelog
* Mon Aug 18 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.7-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sun Jun 08 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.7-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Tue May 06 2014 Richard Hughes <richard@hughsie.com> - 2.7-2
- Use RPM_OPT_FLAGS when compiling
- Resolves: #1102031

* Tue May 06 2014 Richard Hughes <richard@hughsie.com> - 2.7-1
- New upstream release.

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Fri Feb 15 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Sun Jul 22 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Sat Jan 07 2012 Lucian Langa <cooly@gnome.eu.org> - 2.1-1
- update BR
- update patch for a proper build
- update to latest upstream release

* Tue Dec 06 2011 Adam Jackson <ajax@redhat.com> - 1.3-8
- Rebuild for new libpng

* Mon Feb 07 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.3-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Sun Feb 14 2010 Lucian Langa <cooly@gnome.eu.org> - 1.3-6
- fix implicit dso linking (#564831)

* Thu Nov 26 2009 Lucian Langa <cooly@gnome.eu.org> - 1.3-5
- improve desktop file (#530843)

* Mon Jul 27 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.3-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Thu Feb 26 2009 Lucian Langa <cooly@gnome.eu.org> - 1.3-3
- upstream modified current release source

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Mon Dec 15 2008 Lucian Langa <cooly@gnome.eu.org> - 1.3-1
- misc cleanups
- fix desktop file
- new upstream release

* Sat Aug 23 2008 Lucian Langa <cooly@gnome.eu.org> - 1.2-2
- fix for #458818

* Sat Aug 02 2008 Lucian Langa <cooly@gnome.eu.org> - 1.2-1
- update to 1.2 release

* Wed Jul 16 2008 Lucian Langa <cooly@gnome.eu.org> - 0.9-4
- Add missing doc

* Sun Mar 02 2008 Sindre Pedersen Bjordal <sindrepb@fedoraproject.org> - 0.9-3
- Add wrapper script to ensure required user configuration is present

* Sat Mar 01 2008 Robert 'Bob' Jensen <bob@bobjensen.com> - 0.9-2
- Add .desktop and icon
- Submit for review

* Sat Mar 01 2008 Robert 'Bob' Jensen <bob@bobjensen.com> - 0.9-1
- Upstream Version Bump

* Mon Dec 10 2007 Sindre Pedersen Bjørdal - 0.8-1
- Initial build
